aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Sqs.Commands.QueueAttributes

Synopsis

- data GetQueueAttributes = GetQueueAttributes {
  - gqaQueueName :: QueueName
  - gqaAttributes :: [QueueAttribute]
  }
- data GetQueueAttributesResponse = GetQueueAttributesResponse {
  - gqarAttributes :: [(QueueAttribute, Text)]
  }
- parseAttributes :: Cursor -> [(QueueAttribute, Text)]
- formatAttributes :: [QueueAttribute] -> [(ByteString, Maybe ByteString)]
- data SetQueueAttributes = SetQueueAttributes {
  - sqaAttribute :: QueueAttribute
  - sqaValue :: Text
  - sqaQueueName :: QueueName
  }
- data SetQueueAttributesResponse = SetQueueAttributesResponse {
  }

# Documentation

data GetQueueAttributes #

Constructors

GetQueueAttributes |
Fields gqaQueueName :: QueueName gqaAttributes :: [QueueAttribute]

Instances

Show GetQueueAttributes # |
Methods showsPrec :: Int -> GetQueueAttributes -> ShowS # show :: GetQueueAttributes -> String # showList :: [GetQueueAttributes] -> ShowS #
SignQuery GetQueueAttributes # | ServiceConfiguration: `SqsConfiguration`
Associated Types type ServiceConfiguration GetQueueAttributes :: * -> * # Methods signQuery :: GetQueueAttributes -> ServiceConfiguration GetQueueAttributes queryType -> SignatureData -> SignedQuery #
Transaction GetQueueAttributes GetQueueAttributesResponse # |
type ServiceConfiguration GetQueueAttributes # |
type ServiceConfiguration GetQueueAttributes = SqsConfiguration

data GetQueueAttributesResponse #

Constructors

GetQueueAttributesResponse |
Fields gqarAttributes :: [(QueueAttribute, Text)]

Instances

Show GetQueueAttributesResponse # |
Methods showsPrec :: Int -> GetQueueAttributesResponse -> ShowS # show :: GetQueueAttributesResponse -> String # showList :: [GetQueueAttributesResponse] -> ShowS #
AsMemoryResponse GetQueueAttributesResponse # |
Associated Types type MemoryResponse GetQueueAttributesResponse :: * # Methods loadToMemory :: GetQueueAttributesResponse -> ResourceT IO (MemoryResponse GetQueueAttributesResponse) #
Transaction GetQueueAttributes GetQueueAttributesResponse # |
ResponseConsumer r GetQueueAttributesResponse # |
Associated Types type ResponseMetadata GetQueueAttributesResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata GetQueueAttributesResponse) -> HTTPResponseConsumer GetQueueAttributesResponse #
type MemoryResponse GetQueueAttributesResponse # |
type MemoryResponse GetQueueAttributesResponse = GetQueueAttributesResponse
type ResponseMetadata GetQueueAttributesResponse # |
type ResponseMetadata GetQueueAttributesResponse = SqsMetadata

parseAttributes :: Cursor -> [(QueueAttribute, Text)] #

formatAttributes :: [QueueAttribute] -> [(ByteString, Maybe ByteString)] #

data SetQueueAttributes #

Constructors

SetQueueAttributes |
Fields sqaAttribute :: QueueAttribute sqaValue :: Text sqaQueueName :: QueueName

Instances

Show SetQueueAttributes # |
Methods showsPrec :: Int -> SetQueueAttributes -> ShowS # show :: SetQueueAttributes -> String # showList :: [SetQueueAttributes] -> ShowS #
SignQuery SetQueueAttributes # | ServiceConfiguration: `SqsConfiguration`
Associated Types type ServiceConfiguration SetQueueAttributes :: * -> * # Methods signQuery :: SetQueueAttributes -> ServiceConfiguration SetQueueAttributes queryType -> SignatureData -> SignedQuery #
Transaction SetQueueAttributes SetQueueAttributesResponse # |
type ServiceConfiguration SetQueueAttributes # |
type ServiceConfiguration SetQueueAttributes = SqsConfiguration

data SetQueueAttributesResponse #

Constructors

SetQueueAttributesResponse |

Instances

Show SetQueueAttributesResponse # |
Methods showsPrec :: Int -> SetQueueAttributesResponse -> ShowS # show :: SetQueueAttributesResponse -> String # showList :: [SetQueueAttributesResponse] -> ShowS #
AsMemoryResponse SetQueueAttributesResponse # |
Associated Types type MemoryResponse SetQueueAttributesResponse :: * # Methods loadToMemory :: SetQueueAttributesResponse -> ResourceT IO (MemoryResponse SetQueueAttributesResponse) #
Transaction SetQueueAttributes SetQueueAttributesResponse # |
ResponseConsumer r SetQueueAttributesResponse # |
Associated Types type ResponseMetadata SetQueueAttributesResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata SetQueueAttributesResponse) -> HTTPResponseConsumer SetQueueAttributesResponse #
type MemoryResponse SetQueueAttributesResponse # |
type MemoryResponse SetQueueAttributesResponse = SetQueueAttributesResponse
type ResponseMetadata SetQueueAttributesResponse # |
type ResponseMetadata SetQueueAttributesResponse = SqsMetadata